osl::record::OSquare Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
osl::record::OSquare Class Reference

Square, Owner: 9 bits. More...

`#include <miniBoard.h>`

Inheritance diagram for osl::record::OSquare:
[legend]

## Public Member Functions
| OSquare ()
| OSquare (const Piece &p)
| OSquare (const int i)
Square | getSquare () const
Player | getOwner () const
| operator int () const

## Static Public Attributes
static const size_t | total_bits = 9

## Protected Attributes
int | value

## Detailed Description

Square, Owner: 9 bits.

For GOLD. 1: Owner 0:Black; 1:WHITE 2345: Square x 6789: Square y

Definition at line 19 of file miniBoard.h.

## Constructor & Destructor Documentation

osl::record::OSquare::OSquare | ( | ) |  |
| inline

Definition at line 23 of file miniBoard.h.

osl::record::OSquare::OSquare | ( | const Piece & | p) |  |
| inline

Definition at line 24 of file miniBoard.h.

References osl::BLACK, osl::Piece::owner(), osl::record::OPiece::position2Bits(), osl::Piece::square(), and value.

osl::record::OSquare::OSquare | ( | const int | i) |  |
| inline

Definition at line 35 of file miniBoard.h.

References value.

## Member Function Documentation

Player osl::record::OSquare::getOwner | ( | ) |  | const
| inline

Definition at line 43 of file miniBoard.h.

References osl::BLACK, value, and osl::WHITE.

Referenced by osl::record::oposition_sort::operator()().

Square osl::record::OSquare::getSquare | ( | ) |  | const
| inline

Definition at line 39 of file miniBoard.h.

References osl::record::OPiece::bits2Square(), and value.

Referenced by osl::record::oposition_sort::operator()().

osl::record::OSquare::operator int | ( | ) |  | const
| inline

Definition at line 51 of file miniBoard.h.

References value.

## Member Data Documentation

const size_t osl::record::OSquare::total_bits = 9
| static

Definition at line 22 of file miniBoard.h.

Referenced by osl::record::fromBase64(), and osl::record::MiniBoard::toBits().

int osl::record::OSquare::value
| protected

Definition at line 53 of file miniBoard.h.

Referenced by getOwner(), getSquare(), osl::record::OPSquare::isPromoted(), operator int(), osl::record::OPSquare::OPSquare(), and OSquare().

The documentation for this class was generated from the following files:

- miniBoard.h
- miniBoard.cc